Skip to main content
POST
/
api
/
v2
/
orders
/
anti-ai
cURL
curl -X POST https://morimori.app/api/v2/orders/anti-ai \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "idempotencyKey": "key-001",
    "files": [
      {"fileName": "image1.jpg"},
      {"fileName": "image2.png"}
    ],
    "options": {"strength": "high"}
  }'
{
  "data": {
    "orderName": "anti_ai_2026-02-09",
    "orderId": "123456789",
    "status": "pending",
    "files": [
      {
        "fileId": 1,
        "fileName": "image1.jpg",
        "uploadUrl": "https://s3.amazonaws.com/...",
        "fileKey": "temp/123456789/0/image1.jpg"
      }
    ]
  }
}

주문 결과 다운로드

주문이 complete 상태가 되면 다운로드 URL 발급 엔드포인트를 사용하여 처리된 파일을 다운로드할 수 있습니다:
curl -X GET https://morimori.app/api/v2/orders/{orderId}/download \
  -H "Authorization: Bearer YOUR_API_TOKEN"
주문 생성 후 최대 7일까지 파일을 다운로드할 수 있습니다. 7일이 경과하면 주문이 expired 상태로 전환되며, 이후 파일을 다운로드할 수 없습니다.

Authorizations

Authorization
string
header
required

API Key for external client access

Body

application/json
idempotencyKey
string
required

Idempotency key to prevent duplicate requests

files
object[]
required
Required array length: 1 - 100 elements
orderName
string

Order name (optional, auto-generated if not provided)

Maximum string length: 64
mode
object

Processing mode settings

outputTargets
object[]

Output upload targets for Zero Copy mode (required when mode.zeroCopy is true)

options
object

Response

Order created successfully

data
object